### Function

# Shell time_change_source_new

#### Declaration [src]

    GSource*
    shell_time_change_source_new (
      GError** error
    )

#### Description [src]

Creates a `GSource` which is dispatched every time the system realtime clock changes relative to the monotonic clock.

This typically happens after NTP synchronisation.

On error, a `GFileError` will be returned. This happens if a timerfd cannot be created.

Any callback attached to the returned `GSource` must have type `GSourceFunc`.

#### Return value

Type: `GSource`

The newly created `GSource`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.